# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


require 'mmtrix/agent/transaction/transaction_sample_buffer'

module Mmtrix
  module Agent
    class Transaction
      class SlowestSampleBuffer < TransactionSampleBuffer

        CAPACITY = 1

        def capacity
          CAPACITY
        end

        def allow_sample?(sample)
          sample.threshold && sample.duration >= sample.threshold
        end

      end
    end
  end
end
