# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


require 'mmtrix/agent/transaction/transaction_sample_buffer'

module Mmtrix
  module Agent
    class Transaction
      class SyntheticsSampleBuffer < TransactionSampleBuffer
        def capacity
          Mmtrix::Agent.config[:'synthetics.traces_limit']
        end

        def allow_sample?(sample)
          sample.synthetics_resource_id != nil
        end

        def truncate_samples
          @samples.slice!(max_capacity..-1)
        end
      end
    end
  end
end
