# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


# This is the base class for all errors that we want to record through the
# Mmtrix::Agent::ErrorCollector#notice_agent_error API. It provides the
# standard support text at the front of the message, and is used for flagging
# agent errors when checking queue limits.

module Mmtrix
  module Agent
    class InternalAgentError < StandardError
      def initialize(msg=nil)
        super("Ruby agent internal error. Please contact support referencing this error.\n #{msg}")
      end
    end
  end
end
