# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


# A stub object that we can use in place of a real Logger instance when
# the agent is disabled.
module Mmtrix
  module Agent
    class NullLogger
      def fatal(*args); end
      def error(*args); end
      def warn(*args);  end
      def info(*args);  end
      def debug(*args); end

      def method_missing(method, *args, &blk)
        nil
      end
    end
  end
end
