# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


require 'mmtrix/control/frameworks/ruby'
module Mmtrix
  class Control
    module Frameworks
      # This is the control used when starting up in the context of
      # The Mmtrix Infrastructure Agent.  We want to call this
      # out specifically because in this context we are not monitoring
      # the running process, but actually external things.
      class External < Mmtrix::Control::Frameworks::Ruby
        def init_config(options={})
          super
        end
      end
    end
  end
end
