# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


require 'mmtrix/control/frameworks/rails3'
require 'mmtrix/rack/error_collector'
module Mmtrix
  class Control
    module Frameworks
      class Rails4 < Mmtrix::Control::Frameworks::Rails3
        def rails_gem_list
          Bundler.rubygems.all_specs.map do |gem|
            "#{gem.name} (#{gem.version})"
          end
        end

        def append_plugin_list
          # Rails 4 does not allow plugins
        end
      end
    end
  end
end
