# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


module Mmtrix
  class Control
    module Frameworks
      # A control used when no framework is detected - the default.
      class Ruby < Mmtrix::Control
        def env
          @env ||= ENV['MM_TRIX_ENV'] || ENV['RUBY_ENV'] ||
                   ENV['RAILS_ENV']     || ENV['RACK_ENV'] || 'development'
        end

        def root
          @root ||= ENV['APP_ROOT'] || '.'
        end

        def init_config(options={})
        end
      end
    end
  end
end
