# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


# When installed as a plugin, this is loaded automatically.
#
# When installed as a gem, you need to add
#  require 'mmtrix/recipes'
# to deploy.rb
#
# Defines mmtrix:notice_deployment, which sends information about the deploy
# to Mmtrix. The task will run on all app release roles. If it fails, it will
# not affect the execution of subsequent tasks or cause a rollback.
#
# @api public
#

require 'capistrano/version'

if defined?(Capistrano::VERSION) && Capistrano::VERSION.to_s.split('.').first.to_i >= 3
  require 'mmtrix/recipes/capistrano3'
else
  require 'mmtrix/recipes/capistrano_legacy'
end
